Upload multiple files
curl --request POST \
--url https://api.gumloop.com/api/v1/upload_files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"files": [
{
"file_name": "<string>",
"file_content": "aSDinaTvuI8gbWludGxpZnk="
}
],
"user_id": "<string>",
"project_id": "<string>"
}
'import requests
url = "https://api.gumloop.com/api/v1/upload_files"
payload = {
"files": [
{
"file_name": "<string>",
"file_content": "aSDinaTvuI8gbWludGxpZnk="
}
],
"user_id": "<string>",
"project_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
files: [{file_name: '<string>', file_content: 'aSDinaTvuI8gbWludGxpZnk='}],
user_id: '<string>',
project_id: '<string>'
})
};
fetch('https://api.gumloop.com/api/v1/upload_files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"uploaded_files": [
"<string>"
]
}{
"partial_success": true,
"uploaded_files": [
"<string>"
],
"failed_files": [
"<string>"
]
}Upload multiple files
POST
/
upload_files
Upload multiple files
Authorizations
Body
application/json
Was this page helpful?
⌘I
